<!DOCTYPE html>
<html>
<head>
    <title>SUI</title>
    <meta charset="utf-8">
    <meta http-equiv="Default-Style" content="">
    <meta content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no" name="viewport" />
    <link type="text/css" rel="stylesheet" href="./assets/css/styles.css"  media="screen,projection"/>
    <script src="https://unpkg.com/jquery@3.4.1/dist/jquery.min.js" integrity="sha384-vk5WoKIaW/vJyUAd9n/wmopsmNhiy+L2Z+SBxGYnUkunIxVxAv/UtMOhba/xskxh" crossorigin="anonymous"></script>
    <script src="https://unpkg.com/handlebars@4.7.6/dist/handlebars.min.js" integrity="sha384-xfAFAqnRGpBFQneGOv4y7mbkBPfQ7OUQ9WWqf47YYnwkSx4gnk0ADnPpQvxszNU9" crossorigin="anonymous"></script>
    <script src="https://code.iconify.design/1/1.0.5/iconify.min.js"></script>
</head>

<body>

    <section id="modal">
        <div>
            <header id="modal-header">
                <h1>Options</h1>
                <a href="#" title="Close" class="modal-close">
                    <span class="iconify" data-icon="mdi-close"></span>
                </a>
            </header>

            <h2>Color themes</h2>

            <div id="modal-theme">
                <button data-theme="blackboard" class="theme-button theme-blackboard">Blackboard</button>
                <button data-theme="gazette" class="theme-button theme-gazette">Gazette</button>
                <button data-theme="espresso" class="theme-button theme-espresso">Espresso</button>
                <button data-theme="cab" class="theme-button theme-cab">Cab</button>
                <button data-theme="cloud" class="theme-button theme-cloud">Cloud</button>
                <button data-theme="lime" class="theme-button theme-lime">Lime</button>
                <button data-theme="passion" class="theme-button theme-passion">Passion</button>
                <button data-theme="blues" class="theme-button theme-blues">Blues</button>
                <button data-theme="chalk" class="theme-button theme-chalk">Chalk</button>
                <button data-theme="tron" class="theme-button theme-tron">Tron</button>
                <button data-theme="paper" class="theme-button theme-paper">Paper</button>
            </div>

            <h2>Search options</h2>

            <section id="providers">
                <script type="text/handlebars-template" id="providers-template">
                    <table>
                        <tr>
                            <th>Website</th>
                            <th>Prefix</th>
                        </tr>
                        {{#providers}}
                        <tr>
                            <td><a href="{{url}}">{{name}}</a></td>
                            <td>{{prefix}}</td>
                        </tr>
                        {{/providers}}
                    </table>
                </script>
            </section>

            <header id="modal-footer">
                <a href="https://github.com/jeroenpardon/"><span class="iconify" data-icon="mdi-github-box"></span></a>
                <a href="https://materialdesignicons.com/"><span class="iconify" data-icon="mdi-material-design"></a></span>
            </header>
        </div>
    </section>    

    <main id="container" class="fade">

        <section id="search">
            <input name="keywords" type="text" id="keywords" size="50" spellcheck="false" autofocus="true" onkeydown="handleKeyPress(event)">
        </section>
            
        <section id="header">
            <h2 id="header_date"></h2>
            <h1 id="header_greet"></h1>
        </section>

        <section id="apps">
            <script type="text/handlebars-template" id="apps-template">
            <h3>Applications</h3>
            <div id="apps_loop">
                {{#apps}}
                    <div class="apps_item">
                        <div class="apps_icon">
                            <span class="iconify icon" data-icon="{{icon}}"></span>
                        </div>
                        <div class="apps_text">
                            <a href="https://{{url}}" target="_blank">{{name}}</a>
                            <span>{{url}}</span>
                        </div>
                    </div>
                {{/apps}}                         
            </div>
            </script>
        </section>

         <section id="links">
            <script type="text/handlebars-template" id="links-template">
            <h3>Bookmarks</h3>
            <div id="links_loop">
                {{#bookmarks}}
                    <div id="links_item">
                        <h4>{{category}}</h4>
                        {{#links}}
                            <a href="{{url}}" class="theme_color-border theme_text-select">{{name}}</a>
                        {{/links}}
                    </div>
                {{/bookmarks}}
            </div>    
            </script>
        </section>
    </main>

    <div id="modal_init">
        <a class="btn" href="#modal">
            <span class="iconify icon" data-icon="mdi-xbox-controller-menu"></span>
        </a>
    </div>

    <script src="./assets/js/data.js" type="text/javascript"></script>
    <script src="./assets/js/script.js" type="text/javascript"></script>
    <script src="./assets/js/themer.js" type="text/javascript"></script>
    <script src="./assets/js/search.js" type="text/javascript"></script>
</body>
</html>
